# sophia-need-pm.properties

# WARNING: default.home_folder is initialized by shell script via -Ddefault.home_folder=$HOME

default.environment=dev
default.environment_dtp=dev
default.bind_port=12345
default.debug=true
#default.home_folder=/var/local/sophia/${default.environment}/pm
log4j.configuration=${default.home_folder}/sophia-need-pm.log4j2.xml
#aws.credentials=${default.home_folder}/AwsCredentials.properties


csv.separator.field=,
csv.separator.line=\n


# pmneed
pmneed.bind_port=24444
pmneed.debug=true

pmneed.queue_name=${default.environment}_pmneed
pmneed.polling_delay_ms=6000
pmneed.max_idle_ms=60000
pmneed.files_per_run=10
pmneed.delete_non_watched=true
pmneed.key_regex=${default.environment}/pm-need/pm.*\.zip
pmneed.skip_processed_files=false
pmneed.skip_processed_records=true
pmneed.skip_processed_records_bitmask=ff
pmneed.processed_suffix=.processed
# warning: worker threads must be less than database pool size
pmneed.worker_threads=4
pmneed.zip_entry_regex=pm.*\.TXT
pmneed.tipo_documento_contabile=501
pmneed.stato_pm=V



